<?php

namespace Intergo\HlrClient\Manager;

use Intergo\BaseClient\Client;
use Intergo\BaseClient\Requests\BaseRequest;
use Intergo\BaseClient\Responses\BaseResponse;
use Intergo\BaseClient\Responses\BaseResponseInterface;
use Intergo\BaseClient\Responses\PaginationResponse;

class HlrClient extends Client
{
    /**
     * @param $endpoint 
     * @param $baseUrl
     * @param $params
     * @param $traceId
     * @return BaseResponse|PaginationResponse
     */
    public function execute($endpoint, $baseUrl, $params, $traceId): BaseResponseInterface
    {
        $url = $baseUrl . HlrApiHandler::getUrl($endpoint, $params);
        $request = new BaseRequest($url, $traceId);
        return $this->processRequest($request, $params, HlrApiHandler::getMethod($endpoint));
    }
}
